
Redmine - Defect #9892

"get user" response does not include the user login name

2011-12-29 22:15 - Alex Last

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

request:

http://server/redmine/users/1.xml

response:

<user>

  <id>1</id> 

  <firstname>Redmine</firstname> 

  <lastname>Admin</lastname> 

  <mail>admin@example.net</mail> 

  <created_on>2011-12-12T13:13:08-08:00</created_on> 

  <last_login_on>2011-12-29T00:03:34-08:00</last_login_on> 

</user>

 is it possible to add this info?

History

#1 - 2016-05-09 02:52 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Login identifier is included in responses but only admin users are allowed to see.

source:trunk/app/views/users/show.api.rsb@11790#L3

#2 - 2016-05-10 08:16 - Toshi MARUYAMA

- Description updated
